Package bitel.billing.server.contract.bean

# Class ContractAddressParamValue

java.lang.Object
bitel.billing.server.contract.bean.ContractAddressParamValue

All Implemented Interfaces:
  `Serializable`

public class ContractAddressParamValue extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAddressParamValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `String`
  `getFlat()`
  `int`
  `getFloor()`
  `String`
  `getFormatKey()`
  `int`
  `getHouseId()`
  `int`
  `getParameterId()`
  `int`
  `getPod()`
  `String`
  `getRoom()`
  `ContractAddressParamValue`
  `setAddress(String address)`
  `ContractAddressParamValue`
  `setComment(String comment)`
  `ContractAddressParamValue`
  `setContractId(int contractId)`
  `ContractAddressParamValue`
  `setFlat(String flat)`
  `ContractAddressParamValue`
  `setFloor(int floor)`
  `ContractAddressParamValue`
  `setFormatKey(String formatKey)`
  `ContractAddressParamValue`
  `setHouseId(int houseId)`
  `ContractAddressParamValue`
  `setParameterId(int parameterId)`
  `ContractAddressParamValue`
  `setPod(int pod)`
  `ContractAddressParamValue`
  `setRoom(String room)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAddressParamValue

    public ContractAddressParamValue()

- ## Method Details

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public ContractAddressParamValue setAddress(String address)

  - ### getFlat

    public String getFlat()

  - ### setFlat

    public ContractAddressParamValue setFlat(String flat)

  - ### getFloor

    public int getFloor()

  - ### setFloor

    public ContractAddressParamValue setFloor(int floor)

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public ContractAddressParamValue setHouseId(int houseId)

  - ### getPod

    public int getPod()

  - ### setPod

    public ContractAddressParamValue setPod(int pod)

  - ### getRoom

    public String getRoom()

  - ### setRoom

    public ContractAddressParamValue setRoom(String room)

  - ### getComment

    public String getComment()

  - ### setComment

    public ContractAddressParamValue setComment(String comment)

  - ### getFormatKey

    public String getFormatKey()

  - ### setFormatKey

    public ContractAddressParamValue setFormatKey(String formatKey)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public ContractAddressParamValue setContractId(int contractId)

  - ### getParameterId

    public int getParameterId()

  - ### setParameterId

    public ContractAddressParamValue setParameterId(int parameterId)